> For the complete documentation index, see [llms.txt](https://docs.xy.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xy.finance/bridge-aggregator-integration/xy-finance-api-multiple-bridges-aggregator/get-minimumswapamount.md).

# Get MinimumSwapAmount

{% openapi src="/files/MzPUh2zZX7pVgpcroUKz" path="/info/minimumSwapAmount" method="get" %}
[openapi.json](https://3694085950-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-Mcs9EhDrgbKHodtcAT6%2Fuploads%2FuliN2Fmxbutd9Ej5RST4%2Fopenapi.json?alt=media\&token=3f444dcb-a8e6-432c-b79d-d602068dd4a5)
{% endopenapi %}

```json
{
  "success": true,
  "chainMinimumSwapAmount": {
    "1": {
      "minimumSwapAmountUsdValue": 37,
      "expiredAt": 1708329600
    },
    "56": {
      "minimumSwapAmountUsdValue": 1.16,
      "expiredAt": 1708329600
    }
  }
}
```

For the provided example response, the keys '10' and '137' represent the chain IDs of the destination chains you intend to bridge to. Within this structure, the information indicates the minimum required amount in USD Value for a seamless transaction, along with its expiration time.

* `minimumSwapAmount`: Please ensure that your source bridge token amount is greater than this amount; otherwise, the response may result in an error.
* `expiryAt`: Each chain has its own expiry time. The details in the object will **no longer be usable** once the expiry time has passed.

{% hint style="info" %}
Please confirm the expiration time before it's due. The **quickest** we update is **every 20 minutes,** but it can vary.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xy.finance/bridge-aggregator-integration/xy-finance-api-multiple-bridges-aggregator/get-minimumswapamount.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
